Index: DatabaseMetaDataTest.java
===================================================================
RCS file: /projects/cvsroot/pgsql-server/src/interfaces/jdbc/org/postgresql/test/jdbc2/DatabaseMetaDataTest.java,v
retrieving revision 1.16
diff -c -r1.16 DatabaseMetaDataTest.java
*** DatabaseMetaDataTest.java	2002/11/11 07:11:12	1.16
--- DatabaseMetaDataTest.java	2002/12/11 14:52:51
***************
*** 27,33 ****
  	protected void setUp() throws Exception
  	{
  		con = TestUtil.openDB();
! 		TestUtil.createTable( con, "testmetadata", "id int4, name text, updated timestamp" );
  		Statement stmt = con.createStatement();
  		//we add the following comments to ensure the joins to the comments
  		//are done correctly. This ensures we correctly test that case.
--- 27,35 ----
  	protected void setUp() throws Exception
  	{
  		con = TestUtil.openDB();
!         TestUtil.createTable( con, "aaa", "key integer, value varchar(20)" );
!         TestUtil.createTable( con, "testmetadata", "id int4, name text, updated timestamp" );
!         TestUtil.createTable( con, "zzz", "key integer, value varchar(20)" );
  		Statement stmt = con.createStatement();
  		//we add the following comments to ensure the joins to the comments
  		//are done correctly. This ensures we correctly test that case.
***************
*** 36,42 ****
--- 38,46 ----
  	}
  	protected void tearDown() throws Exception
  	{
+         TestUtil.dropTable( con, "zzz" );
  		TestUtil.dropTable( con, "testmetadata" );
+         TestUtil.dropTable( con, "aaa" );
  
  		TestUtil.closeDB( con );
  	}
***************
*** 52,57 ****
--- 56,62 ----
  			ResultSet rs = dbmd.getTables( null, null, "testmetadat%", new String[] {"TABLE"});
  			assertTrue( rs.next() );
  			String tableName = rs.getString("TABLE_NAME");
+ System.err.println("TABLE NAME = "+tableName);
  			assertTrue( tableName.equals("testmetadata") );
  			String tableType = rs.getString("TABLE_TYPE");
  			assertTrue( tableType.equals("TABLE") );
